ELF_FILL(3) | Library Functions Manual | ELF_FILL(3)

# NAME

`elf_fill` — set fill byte for inter-section padding

# LIBRARY

ELF Access Library (libelf, -lelf)

# SYNOPSIS

`#include <libelf.h>`

void
`elf_fill`(int fill);

# DESCRIPTION

Function `elf_fill`() allows an application to specify a fill value for the padding inserted between two sections of an ELF file to meet section alignment constraints. By default the ELF library uses zero bytes for padding.

The ELF library will only pad bytes if the `ELF_F_LAYOUT` flag is not set for the ELF file.

# SEE ALSO

elf(3), elf_flagelf(3), gelf(3)

June 11, 2006 | NetBSD 11.0